﻿/*******************************************************************************
File        : stCompany.cs
Description : 
--------------------------------------------------------------------------------
Functions:
--------------------------------------------------------------------------------
History:
2011/04/12 WLM Created
*******************************************************************************/
using System.Drawing;

namespace WIDatabaseSample
{
/*******************************************************************************
Class        : stCompany
Description  : 
--------------------------------------------------------------------------------
History:
2011/04/12 WLM Created
*******************************************************************************/
public class stCompany
{
public int CompanyID;
//public int AddressID;
public stAddress Address;
public string Name;
public int LogoID;
public Image LogoImage;
public string WebSite;
public bool Active;
public string Phone;
public string Fax;

/*******************************************************************************
Constructor : stCompany()
Description : 
Parameters  : None
--------------------------------------------------------------------------------
History:
2011/04/12 WLM Created
*******************************************************************************/
public stCompany()
{
Address = new stAddress();
Clear();
}
/*******************************************************************************
Constructor : stCompany()
Description : 
Parameters  : string name - 
--------------------------------------------------------------------------------
History:
2011/05/12 WLM Created
*******************************************************************************/
public stCompany(string name)
{
Address = new stAddress();
Clear();
Name = name;
}
/*******************************************************************************
Function    : Clear()
Description : 
Parameters  : None
Returns     : void
--------------------------------------------------------------------------------
History:
2011/04/12 WLM Created
*******************************************************************************/
public void Clear()
{
CompanyID = 0;
//AddressID = 0;
Address.Clear();
Name = "";
LogoID = 0;
LogoImage = null;
WebSite = "";
Active = false;
Phone = "";
Fax = "";
}
} /* End Of Class stCompany */
} /* End Of NameSpace WIDatabaseSample */